/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package DocMgmt.Document;

import java.util.Date;
import java.util.Vector;
import java.net.URL;

/** 
 * @author TogetherSoft
 * @stereotype thing */
public class Document {
    public void addPart() {
    }

    /**  */
    public void fillInTheBlanksGivenXMLContent() {
    }

    public void fillInTheBlanks() {
    }

    /**  */
    public void buildDoc() {
    }

    public boolean conformsToDocumentDesc() {
        return false;
    }

    public Vector listDocumentsAffectedIfThisPartChanges() {
        return new Vector();
    }

    /**
     *@supplierCardinality 1
     *@clientCardinality 0..*
     */
    private DocumentTemplate lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private DocMgmt.DocumentActivity.DocumentBuild lnkUnnamed2;
    private String number;
    private String title;

    /**
     * @supplierRole version
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private Document lnkUnnamed3;
    private Date date;
    private URL url;

    /**
     *@shapeType AggregationLink
     *    @associates <b>Document</b>
     * @supplierCardinality 0..*
     * @supplierRole part
     * @clientCardinality 0..*
     */
    private Vector lnkUnnamed;
}


